import MagicLink from "swaf/auth/models/MagicLink";

export enum MagicLinkActionType {
    LOGIN = 'Login',
    REGISTER = 'Register',
}

export function getActionMessage(magicLink: MagicLink): string {
    switch (magicLink.action_type) {
        case MagicLinkActionType.LOGIN:
            return 'You have been authenticated.';
        case MagicLinkActionType.REGISTER:
            return 'You have been registered.';
    }

    return '';
}
