import Migration from "swaf/db/Migration";

export default class IncreaseFilesSizeField extends Migration {
    public async install(): Promise<void> {
        await this.query(`ALTER TABLE files MODIFY size BIGINT UNSIGNED`);
    }

    public async rollback(): Promise<void> {
        await this.query(`ALTER TABLE files MODIFY size INT UNSIGNED`);
    }
}
