import {Request, Response} from "express";
import Controller from "swaf/Controller";

export default class AboutController extends Controller {
    public routes(): void {
        this.get('/', this.getAbout, 'home');
        this.get('/', this.getAbout, 'about');
    }

    private async getAbout(req: Request, res: Response) {
        res.render('about');
    }
}
